Skip to main content
`Ctrl`+`K`

# NEPDestroy

Destroys the `NEP` context.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPDestroy(NEP *nep)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPCreate()`, `NEPSetUp()`, `NEPSolve()`

## Level

beginner

## Location

src/nep/interface/nepbasic.c

## Examples

src/nep/tutorials/ex42.c
src/nep/tutorials/ex20.c
src/nep/tutorials/ex54f.F90
src/nep/tutorials/ex21.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex22.c

## Implementations

NEPDestroy_CISS() in src/nep/impls/ciss/nciss.c
NEPDestroy_Interpol() in src/nep/impls/interpol/interpol.c
NEPDestroy_NArnoldi() in src/nep/impls/narnoldi/narnoldi.c
NEPDestroy_NLEIGS() in src/nep/impls/nleigs/nleigs.c
NEPDestroy_RII() in src/nep/impls/rii/rii.c
NEPDestroy_SLP() in src/nep/impls/slp/slp.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages